import javax.swing.*;

// A class that creates a panel containing fields appropriate for testing
// String methods expecting no parameters (like length and toUpperCase).
public class StringInput {

	// The panel used to hold all the required components
	protected JPanel inputPanel = new JPanel();

	// A field in which the string to which the method should be applied can be entered
	protected LabeledTextField sourceField;

	public StringInput() {

		// Create input field
		sourceField = new LabeledTextField("Source String", StringDemos.FIELDWIDTH);
		inputPanel.add(sourceField);

	}

	// Return the panel containing inputs created by this class
	public JPanel getPanel() {
		return inputPanel;
	}

	public void copyInputs(StringOpTester old) {
		sourceField.setText(old.getSource());
	}

	public String getSource() {
		return sourceField.getText();
	}

	public void setSource(String text) {
		sourceField.setText(text);
	}

	public String getSought() {
		return "";
	}

	public void setSought(String text) {
	}
}
