import objectdraw.*;
import java.awt.*;

// A class that constructs a panel that can be used to experiment with the
// behavior of the "toLowerCase" method of the String class.

public class ToLowerTester extends StringInput implements StringOpTester {

    // Perform "toLowerCase" operation when requested
    public String doIt() {
	return "" + sourceField.getText().toLowerCase();
    }
    
    // Return the name of the method this class invokes
    public String getChoiceLabel() {
	return "toLowerCase";
    }

	// Return the name of the method this class invokes
	public String toString() {
	return "toLowerCase";
	}
}
